#language: ru

@mutual_settlements

Функционал: 005. mutual_settlements. Создание возвратов

Сценарий: 005.1. mutual_settlements. Создание заявки на возврат по реализации в точку доставки Перекресток 18.03.2021

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "02.005. Взаиморасчеты"
	Дано я удаляю объекты "Документы.к2ЗаявкаНаВозвратТоваровОтКлиента" без контроля ссылок
	И Я начинаю создавать заявку на возврат на основании реализации товаров "РеализацияПерекрестокВзаиморасчеты"
	И в поле с именем 'Дата' я ввожу текст '19.03.2021  0:00:00'
	И Я удаляю номенклатуру "Молоко 3,2 %" в таблице товаров
	И Я удаляю номенклатуру "Кефир" в таблице товаров
	И Я корректирую количество на "10,000" для номенклатуры "Творог"
	И в поле с именем 'Комментарий' я ввожу текст 'ЗаявкаНаВозвратПоРеализацииПерекресток'
	* Проверка значений
		Тогда таблица "Товары" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | '% НДС' | 'Цена с учетом скидок' | 'Характеристика'    | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'                   | 'Вес, кг' |
			| '10,000'     | 'Творог'       | 'шт'  | '20%'   | '100,00'               | '<не используются>' | '1 000,00'   | '000001 до 31.03.2021 0:00:00' | '10,000, шт'     | '100,00'    | '166,67'   | '1 000,00'   | 'Склад готовой продукции' | '10'      |
	И Я заканчиваю создание заявки на возврат на основании реализации товаров

Сценарий: 005.2. mutual_settlements. Создание возврата по реализации в точку доставки Перекресток

	Дано я удаляю объекты "Документы.к2ВозвратТоваровОтКлиента" без контроля ссылок
	И Я начинаю создавать возврат товаров на основании заявки на возврат "ЗаявкаНаВозвратПоРеализацииПерекресток"
	И в поле с именем 'Дата' я ввожу текст '20.03.2021  0:00:00'
	И Я выбираю причину возврата "Товар не подходит" для номенклатуры "Творог"
	И в поле с именем 'Комментарий' я ввожу текст 'ВозвратПоРеализацииПерекрестокВзаиморасчеты'
	* Проверка значений
		Тогда таблица "Товары" стала равной:
			| 'Количество' | 'Номенклатура' | 'Ед.' | 'Характеристика'    | 'Причина'           | 'Сумма, RUB' | 'Серия'                        | 'В ед. хранения' | 'Цена, RUB' | 'Цена с учетом скидок' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Склад'                   | 'Без возврата' | 'Вес, кг' |
			| '10,000'     | 'Творог'       | 'шт'  | '<не используются>' | 'Товар не подходит' | '1 000,00'   | '000001 до 31.03.2021 0:00:00' | '10,000, шт'     | '100,00'    | '100,00'               | '20%'   | '166,67'   | '1 000,00'   | 'Склад готовой продукции' | 'Нет'          | '10'      |
	И Я заканчиваю создавать возврат товаров на основании заявки на возврат

Сценарий: 005.3. mutual_settlements. Проверка движений возврата по реализации в точку доставки Перекресток
	
	И Я проверяю движения возврата товаров "ВозвратПоРеализацииПерекрестокВзаиморасчеты"